import * as $dara from '@darabonba/typescript';
export declare class CreateIpv4GatewayResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the IPv4 gateway.
     *
     * @example
     * ipv4gw-5tsnc6s4ogsedtp3k****
     */
    ipv4GatewayId?: string;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * F282742B-1BBB-5F63-A3AF-E92EC575A1A6
     */
    requestId?: string;
    /**
     * @remarks
     * The ID of the resource group.
     *
     * @example
     * rg-acfmxazb4ph6aiy****
     */
    resourceGroupId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
